PostgreSQL 7.1.3 Documentation
Prev |  | Next

# read

## Name

read -- reads from the large object

## Synopsis

    read(size)

### Parameters

`size`

  Maximal size of the buffer to be read (integer).

### Return Type

string

  The read buffer.

### Exceptions

TypeError

  Bad parameter type, or too many arguments.

IOError

  Object is not opened, or read error.

pg.error

  Invalid connection or invalid object.

## Description

`read()` method allows to read data from the large object, starting at current position.

Prev | Home | Next
close | Up | write